"""Dictionary mapping between British and American English spelling variants."""

british_to_american = """acknowledgement	acknowledgment
aeroplane	airplane
aesthetic	esthetic
ageing	aging
aluminium	aluminum
amoeba	ameba
anaemia	anemia
anaesthesia	anesthesia
analyse	analyze
analogue	analog
annexe	annex
apologise	apologize
archaeology	archeology
armour	armor
arse	ass
artefact	artifact
authorise	authorize
authorisation	authorization
authoriser	authorizer
axe	ax
behaviour	behavior
broncho	bronco
caesium	cesium
chamomile	camomile
cancelled	canceled
carburettor	carburetor
catalogue	catalog
centre	center
cheque	check
chequer	checker
cypher	cipher
civilise	civilize
colonise	colonize
colonisation	colonization
colour	color
cosy	cozy
counsellor	counselor
counselling	counseling
connexion	connection
defence	defense
demagogue	demagog
dialled	dialed
dialler	dialer
dialogue	dialog
diarrhoea	diarrhea
disc	disk
distil	distill
doughnut	donut
draught	draft
dreamt	dreamed
emphasise	emphasize
encyclopaedia	encyclopedia
enrolment	enrollment
equalling	equaling
endeavour	endeavor
enquire	inquire
favourite	favorite
favour	favor
faeces	feces
fibre	fiber
flaky	flakey
foetid	fetid
foetal	fetal
foetus	fetus
flautist	flutist
flavour	flavor
fulfil	fulfill
furore	furor
fuelling	fueling
gaol	jail
generalise	generalize
glycerine	glycerin
grey	gray
gynaecology	gynecology
haemophilia	hemophilia
haematology	hematology
haem	heme
harbour	harbor
harmonise	harmonize
harmonisation	harmonization
homologue	homolog
honour	honor
humour	humor
industrialise	industrialize
instalment	installment
italicise	italicize
jewellery	jewelry
judgement	judgment
kerb	curb
kilometre	kilometer
labour	labor
led	lead
leapt	leaped
learnt	learned
licence	license
liquorice	licorice
light	lite
litre	liter
lodgment	lodgement
manoeuvre	maneuver
marvellous	marvelous
meagre	meager
metre	meter
modelling	modeling
milliard	billion
mould	mold
mollusc	mollusk
moult	molt
mum	mom
monologue	monolog
moustache	mustache
moisturiser	moisturizer
neighbour	neighbor
oenology	enology
oesophagus	esophagus
oestrogen	estrogen
odour	odor
offence	offense
omelette	omelet
organisation	organization
orthologue	ortholog
orthopaedic	orthopedic
paediatric	pediatric
paedophile	pedophile
paralyse	paralyze
parlour	parlor
pedagogue	pedagog
plough	plow
practise	practice
pretence	pretense
prise	prize
programme	program
pyjamas	pajamas
quarrelled	quarreled
quarrelling	quarreling
realise	realize
realisation	realization
recognise	recognize
rigour	rigor
routeing	routing
rumour	rumor
saviour	savior
savoury	savory
sceptic	skeptic
signalling	signaling
skilful	skillful
speciality	specialty
spelt	spelled
spoilt	spoiled
storey	story
sulphur	sulfur
theatre	theater
tyre	tire
tranquillity	tranquility
travelled	traveled
traveller	traveler
travelling	traveling
tumour	tumor
urbanisation	urbanization
valour	valor
vender	vendor
victual	vittle
vigour	vigor
wintery	wintry
whisky	whiskey
woollen	woolen
yoghurt	yogurt"""


british_to_american = {line.split('\t')[0]: line.split('\t')[1]
                       for line in british_to_american.split("\n")}


def british_to_american_spelling(term):
    return british_to_american.get(term, term)


if __name__ == "__main__":
    assert british_to_american_spelling("colour") == "color"
    assert british_to_american_spelling("theatre") == "theater"
